Fetch call history
curl --request GET \
--url https://api.upon-ai.com/api/v1/calls/history \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.upon-ai.com/api/v1/calls/history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.upon-ai.com/api/v1/calls/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.upon-ai.com/api/v1/calls/history",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.upon-ai.com/api/v1/calls/history"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.upon-ai.com/api/v1/calls/history")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.upon-ai.com/api/v1/calls/history")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"calls": [
{
"callSid": "call_123abc",
"callStatus": "ended",
"agentId": "agent_456def",
"agentVersion": 2,
"agentName": "Concierge",
"workspaceId": 42,
"workspaceName": "Demo Workspace",
"fromNumber": "+14155550100",
"toNumber": "+14155550199",
"direction": "outbound",
"customerName": "Jane Doe",
"duration": 214,
"startedAt": "2026-03-12T14:22:00.000Z",
"recordingUrl": "https://cdn.example.com/recordings/call_123abc.mp3",
"sentiment": "positive",
"summary": "Customer confirmed an appointment for Friday.",
"costs": {
"voice": 0.09,
"llm": 0.03,
"gross": 0.12,
"total": 0.15
}
}
],
"pagination": {
"page": 1,
"limit": 20,
"total": 184,
"pages": 10
}
}Calls
Fetch call history
Return paginated call history for a single workspace, including agent and workspace metadata plus optional search and date filters.
GET
/
api
/
v1
/
calls
/
history
Fetch call history
curl --request GET \
--url https://api.upon-ai.com/api/v1/calls/history \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.upon-ai.com/api/v1/calls/history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.upon-ai.com/api/v1/calls/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.upon-ai.com/api/v1/calls/history",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.upon-ai.com/api/v1/calls/history"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.upon-ai.com/api/v1/calls/history")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.upon-ai.com/api/v1/calls/history")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"calls": [
{
"callSid": "call_123abc",
"callStatus": "ended",
"agentId": "agent_456def",
"agentVersion": 2,
"agentName": "Concierge",
"workspaceId": 42,
"workspaceName": "Demo Workspace",
"fromNumber": "+14155550100",
"toNumber": "+14155550199",
"direction": "outbound",
"customerName": "Jane Doe",
"duration": 214,
"startedAt": "2026-03-12T14:22:00.000Z",
"recordingUrl": "https://cdn.example.com/recordings/call_123abc.mp3",
"sentiment": "positive",
"summary": "Customer confirmed an appointment for Friday.",
"costs": {
"voice": 0.09,
"llm": 0.03,
"gross": 0.12,
"total": 0.15
}
}
],
"pagination": {
"page": 1,
"limit": 20,
"total": 184,
"pages": 10
}
}